# OrbipayCheckoutApIs.Charge

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**chargeId** | **String** | Id is a unique identifier assigned to a payment in OrbiPay-Checkout system. | [optional] 
**confirmationNumber** | **String** | A unique reference assigned to the charge by Orbipay-Checkout system for any future communications | [optional] 
**chargeStatus** | **String** | Status of the charge | [optional] 
**chargeAmount** | **String** | Amount fields are of format N [9, 2] with . as decimal separator         (for e.g. 100.20). | [optional] 
**chargeAmountCurrency** | **String** | 3 character ISO currency code should be provided in currencyCode3d field defaulted to USD if its not populated. | [optional] 
**chargeDate** | **String** | payment date should be in mm/dd/yyyy. | [optional] 
**fundingAccountInfo** | [**FundingAccountInfo**](FundingAccountInfo.md) |  | [optional] 
**customerInfo** | [**CustomerInfo**](CustomerInfo.md) |  | [optional] 
**customerAccountInfo** | [**CustomerAccountInfo**](CustomerAccountInfo.md) |  | [optional] 


<a name="ChargeStatusEnum"></a>
## Enum: ChargeStatusEnum


* `scheduled` (value: `"scheduled"`)

* `cancelled` (value: `"cancelled"`)

* `processing` (value: `"processing"`)

* `processed` (value: `"processed"`)

* `returned` (value: `"returned"`)

* `declined` (value: `"declined"`)

* `disputed` (value: `"disputed"`)

* `refunded` (value: `"refunded"`)

* `failed` (value: `"failed"`)

* `submitted` (value: `"submitted"`)




